import {httpApi} from "../../../request/httpApi";

export default {
    //自检记录分页查询
    async queryPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/page',
            method: 'post',
            data: form
        }, msg);
    },
    //自检记录附件列表
    async ancillaryDocumentsList(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/ancillary-documents-list',
            method: 'get',
            params: form
        }, msg);
    },
    //试验自检记录附件删除接口：
    async removedocuments(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/remove-ancillary-documents',
            method: 'post',
            params: form
        }, msg);
    },
 
    //自检记录批量复制
    async copyData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/copy',
            method: 'post',
            params: form
        }, msg);
    },
    //自检记录批量删除
    async removeData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/remove',
            method: 'post',
            params: form
        }, msg);
    },
    //自检记录pdf批量打印
    async printPdf(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/print-pdf',
            method: 'post',
            params: form
        }, msg);
    },
    //自检记录pdf批量废除
    async batchAbolish(form, msg = true) {
            return httpApi({
                url: '/api/blade-business/informationWriteQuery/batchAbolish',
                method: 'post',
                params: form
            }, msg);
    },
    //自检记录pdf批量打印空表
    async printNullPdf(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/print-null-pdf',
            method: 'post',
            params: form
        }, msg);
    },
    //自检记录样品信息列表
    async getSampleList(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/sample-list',
            method: 'get',
            params: form
        }, msg);
    },
    //根据所属方查询节点下表单
    async searchNodeTables(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/wbsPrivate/search-node-tables',
            method: 'get',
            params: form
        }, msg);
    },
    //获取试验表的HTML
    async getExcelHtml(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/wbsPrivate/get-excel-html',
            method: 'get',
            params: form
        }, msg);
    },
    //获取试验用户保存数据
    async getBussDataInfo(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/exceltab/get-buss-dataInfo-trial',
            method: 'get',
            params: form
        }, msg);
    },
    //自检表单复制
    async copyBussTab(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/copy-buss-tab',
            method: 'get',
            params: form
        }, msg);
    },
    //自检单表PDF预览
    async getBussPdf(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/get-buss-pdf',
            method: 'get',
            params: form
        }, msg);
    },
    //自检多表PDF预览
    async getBussPdfs(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/get-buss-pdfs',
            method: 'get',
            params: form
        }, msg);
    },
    //自检隐藏表单
    async showBussTab(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/show-buss-tab',
            method: 'get',
            params: form
        }, msg);
    },
    //自检删除复制的表
    async removeBussTabInfo(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/remove-buss-tab',
            method: 'post',
            params: form
        }, msg);
    },
    //保存表单
    async saveExcelBussData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/submit',
            method: 'post',
            data: form
        }, msg);
    },
    //查询关联样品信息列表
    async sampleListInfo(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/sample/list-info',
            method: 'get',
            params: form
        }, msg);
    },
    //查询关联原材料检测报告列表
    async rawMaterialList(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/raw-material/list',
            method: 'get',
            params: form
        }, msg);
    },
    //获取试验表中的data数据接口：
    async getBussddataInfotrial(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/exceltab/get-buss-dataInfo-trial',
            method: 'get',
            params: form
        }, msg);
    },
    //获取试验表中的data数据接口：
    async getBussddataInfotrialList(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/exceltab/get-buss-dataInfo-list-trial',
            method: 'get',
            params: form
        }, msg);
    },
 //自检记录附件修改接口：
    async updateAncillaryDocument(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/update-ancillary-documents',
            method: 'post',
            data: form
        }, msg);
    },
    //关联原材报告保存
    async rawMaterialSubmit(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/raw-material/submit',
            method: 'post',
            data: form
        }, msg);
    },
    //关联工程用途即部位
    async projectpositionSubmit(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/project-position/submit',
            method: 'post',
            data: form
        }, msg);
    },
    //关联取样
    async recordsampleSubmit(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/record-sample/submit',
            method: 'post',
            data: form
        }, msg);
    },
    //获取当前样品信息对应到表字段关系接口
    async recordsamplegetData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/record-sample/getData',
            method: 'post',
            params: form
        }, msg);
    },
    //关联工程部位信息获取数据接口
    async recordprojectPositiongetData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/detection/self/record-projectPosition/getData',
            method: 'post',
            params: form
        }, msg);
    },
}
